{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Debug",
            "type": "cppdbg",
            "request": "launch",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${fileDirname}", //"${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "linux": {
                "MIMode": "gdb",
                "miDebuggerPath": "gdb",
                "program": "${workspaceFolder}/output/licenceGenerator"
            },
            "osx": {
                "MIMode": "lldb",
                "miDebuggerPath": "lldb-mi",
                "program": "${workspaceFolder}/output/licenceGenerator"
            },
            "windows": {
                "MIMode": "gdb",
                "miDebuggerPath": "gdb.exe",
                "program": "${workspaceFolder}/output/licenceGenerator.exe",
                "args": ["-cid=9f544930303030300000000b47015423", "-csd=400e00325b5900003a0d7f800a40008d", "-outputType=file", "-configFileName=licData.xml"]
            },
            "preLaunchTask": "build"
        }
    ]
}
